[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLScript.UseCommit

Control automatic handling of the COMMIT command.

## Declaration

Source position: sqldb.pp line 522

`published property TSQLScript.UseCommit;`

## Description

UseCommit can be set to True to let TSQLScript automatically handle the commit command as a directive. If it is set, the COMMIT command is registered as a directive, and the TSQLScript.Transaction will be commited and restarted at once whenever the COMMIT directive appears in the script.

If this property is set to False then the commit command will be passed on to the SQL engine like any other SQL command in the script.

## See also

TSQLScript.Transaction |  | Transaction to use in the script
TSQLScript.Directives |  | List of directives

Documentation generated on: Feb 26 2014